const fs = require('fs');
const os = require('os');

const home = os.homedir();
const route = `${home}\\.my-own-words`;

function dirExists() {
  return fs.existsSync(route);
}

function createDir() {
  return fs.mkdirSync(route);
}

function listExists(list) {
  return fs.existsSync(`${route}\\${list}.json`);
}

function createList(list) {
  return fs.writeFileSync(`${route}\\${list}.json`, '{}');
}

function getLists() {
  return fs.readdirSync(route);
}

function removeList(list) {
  return fs.unlinkSync(`${route}\\${list}.json`);
}

function getWords(list) {
  return fs.readFileSync(`${route}\\${list}.json`).toString();
}

function parseWords(json) {
  return JSON.parse(json);
}

function getAndParseWords(list) {
  return parseWords(getWords(list));
}

function writeWords(list, words) {
  return fs.writeFileSync(`${route}\\${list}.json`, JSON.stringify(words));
}

module.exports = {
  dirExists,
  createDir,
  listExists,
  createList,
  getLists,
  removeList,
  getAndParseWords,
  writeWords,
};
